data_path="/data/path"  # replace to your data path
save_dir="/save/dir"
tmp_save_dir="/tmp/save/dir"
tsb_dir="/tsb/dir"
n_gpu=4
MASTER_PORT=10085
finetune_pocket_model="/pocket/model"



lr=3e-7
batch_size=64
epoch=5
dropout=0.0
warmup=0.2
update_freq=1
dist_threshold=8.0
recycling=3

export NCCL_ASYNC_ERROR_HANDLING=1
export OMP_NUM_THREADS=1
CUDA_VISIBLE_DEVICES="4,5,6,7" python -m torch.distributed.launch --nproc_per_node=$n_gpu --master_port=$MASTER_PORT $(which unicore-train) $data_path --user-dir ./unimol --train-subset train --valid-subset valid\
       --num-workers 8 --ddp-backend=c10d \
       --task pocket_matching --loss PM --arch pocket_matching  \
       --optimizer adam --adam-betas "(0.9, 0.99)" --adam-eps 1e-6 --clip-norm 1.0 \
       --lr-scheduler polynomial_decay --lr $lr --warmup-ratio $warmup --max-epoch $epoch --batch-size $batch_size \
       --mol-pooler-dropout $dropout --pocket-pooler-dropout $dropout \
       --fp16 --fp16-init-scale 4 --fp16-scale-window 256 --update-freq $update_freq --seed 2 \
       --tensorboard-logdir $tsb_dir \
       --log-interval 100 --log-format simple \
       --validate-interval 1 --keep-last-epochs 10 \
       --best-checkpoint-metric valid_auc  --patience 10 --all-gather-list-size 2048000 \
       --dist-threshold $dist_threshold --recycling $recycling \
       --save-dir $save_dir --tmp-save-dir $tmp_save_dir --keep-last-epochs 5 \
       --find-unused-parameters \
       --maximize-best-checkpoint-metric \
       --finetune-pocket-model $finetune_pocket_model \
       --max-pocket-atoms 256 \
       